
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "gloriousgadgets/version"

Gem::Specification.new do |spec|
  spec.name          = "gloriousgadgets"
  spec.version       = Gloriousgadgets::VERSION
  spec.authors       = ["Josh Reynolds"]
  spec.email         = ["joshpatrickreynolds@gmail.com"]

  spec.summary       = %q{Allows you to get data from Glorious Gadgets easily.}
  spec.description   = %q{Utilise data from the Glorious Gadgets API in your application with ease with this gem.}
  spec.homepage      = "https://github.com/josh905/gloriousgadgets"
  spec.license       = "MIT"


  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 10.0"
end
